import React from 'react';
import Entete from './Entete';
import Menu from './Menu';
import Porte from './Porte';
import Bureau from './Bureau';
import Ventilateur from './Ventilateur';
import Sensor from '../modele_objet';
import { BrowserRouter as Router, Route, Link  } from 'react-router-dom';

//Test avec création de quelques capteurs
var listeSensors = [];
var capt1 = new Sensor(1,23,"POSITIVE_NUMBER");
var capt2 = new Sensor(2,37,"POSITIVE_NUMBER");
var capt3 = new Sensor(3,12,"POSITIVE_NUMBER");
listeSensors.push(capt1);
listeSensors.push(capt2);
listeSensors.push(capt3);
//-------------------------------------------------

//Composant principal
class App extends React.Component {
	constructor(props) {
    	super(props);
    	this.state = {
    		value: 1
    	};
  	}

	render() {
    	return (
    	<Router>
    		<div>
    			<Link to="/"><img alt="home_icon" title="accueil" src={require("../images/home.png")} width="75" height="50" className="imgHOME" onClick={()=>{
    				var thetitle = document.getElementById("titreEntete");
    				thetitle.textContent = "??????";
    				var mybtn1 = document.getElementById("btn1");
    				var mybtn2 = document.getElementById("btn2");
    				var mybtn3 = document.getElementById("btn3");
    				mybtn1.style.backgroundColor = "gray";
    				mybtn2.style.backgroundColor = "gray";
    				mybtn3.style.backgroundColor = "gray";
    			}} /></Link>
      			<div className="entete">
      				<Entete />
      			</div>
      			<div className="tryALIGN">
      				<div className="menu_gauche">
        				<Menu />
      				</div>
      				<div className="affichage_milieu">
        				<Route path="/porte_garage" component={Porte} />
        				<Route path="/ventilateur" component={Ventilateur} />
        				<Route path="/temp_bureau" component={Bureau} />
      				</div>
      			</div>
      		</div>
    	</Router>
    );
  }
}

export default App;